import { baseFormWalletWebRouters } from './router.js';
import { baseFormWalletWebVuex } from './vuex/export.index.js';
// import './tools/index.js';
// import 'ems-components-new/src/static/css/global.less';
// import './static/css/global.less';

const formWalletWebZh = require('./lang/zh-CN.json');
const formWalletWebTw = require('./lang/zh-TW.json');
const formWalletWebEn = require('./lang/en-US.json');

const formInstall = {
  install: function (Vue, opts = {}) {
    if (!Vue.prototype.CRC) {
      Vue.prototype.CRC = {
        wallet: true
      };
    } else {
      Vue.prototype.CRC.wallet = true;
    }
  }
};

const formWalletWebRouterBeforeEach = function (router, to, from, next) {
  router.app.$emit('RouterChangeBefore');
}

export {
  baseFormWalletWebRouters,
  baseFormWalletWebVuex,
  formWalletWebZh,
  formWalletWebTw,
  formWalletWebEn,
  formWalletWebRouterBeforeEach
};
