import { formUrls } from '@/api/server.js'

export default {
  // 获取表单初始化数据
  getInitClaimInfo({ commit }, param) {
    new Promise(() => {
      commit("setInitClaimInfoApiStatus", "ing")
      $axios.post(`${formUrls.initClaimInfo}`, param).then((response) => {
        if (response.data.code == "1") {
          commit("setInitClaimInfo", response.data.obj)
          commit("setInitClaimInfoApiStatus", "success")
        } else {
          window.$Message.error(response.data.msg || "初始化数据失败！")
          commit("setInitClaimInfoApiStatus", "fail")
        }
      }).catch(err => {
        commit("setInitClaimInfoApiStatus", "fail")
      })
    })
  },
}
