export default {
  // 用户系统语言
  // lang: state => {
  //   if (state.initClaimInfo) {
  //     return state.initClaimInfo.SYS_USER_LANGUAGE;
  //   }
  // },
  // 业务线
  businessLineCode: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.ACTUAL_BUSINESS_LINE_CODE;
    }
  },
  // 大类名称
  categoryName: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.categoryName;
    }
  },
  claimNo: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.claimNo;
    }
  },
  // 组件里面要用claimId 不要取这个，直接取claimId
  claimIdvx: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.claimId;
    }
  },
  ouCode: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.ouCode;
    }
  },
  ouName: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.ouName;
    }
  },
  // bu
  buCode: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.buCode;
    }
  },
  // 申请人 id
  userEmplId: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.applEmpNo;
    }
  },
  // 申请人ldap
  userLdapId: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.applEmpLdapId;
    }
  },
  // 申请人 组织编码
  userOrgId: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.applOrgDept;
    }
  },
  // 申请人 jobCode
  userJobCode: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.applJobCode;
    }
  },
  // 申请人 company
  userCompany: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.applOrgCompany;
    }
  },

  // 登录用户公司信息
  personInfo: state => {
    if (state.personInfo) {
      return state.personInfo;
    }
  },

  // 报销人雇佣记录编号
  actualEmplRcd: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.actualEmplRcd;
    }
  },

  // 实际申请人部门ID
  actualOrgDept: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.actualOrgDept;
    }
  },
  // 实际申请人ID
  actualEmpLdapId: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.actualEmpLdapId;
    }
  },

  // 实际申请人公司名称
  actualOrgCompanyName: state => {
    if (state.initClaimInfo) {
      return state.initClaimInfo.CLAIM_DTO.actualOrgCompanyName;
    }
  },





  /***
   * 流程相关
   */

  // 当前进行中流程节点对象
  curAction: state => {
    if (state.simuActs) {
      const tasks = state.simuActs.filter(item => item.actStatus == 2)
      return tasks[0] ? tasks[0] : null
    }
  },
  // 当前进行中流程节点ID
  curActId: state => {
    if (state.simuActs) {
      const tasks = state.simuActs.filter(item => item.actStatus == 2)
      return tasks[0] ? tasks[0].actId : null
    }
  },
}
