export default {
  // 设置全局loading是否显示
  setSpinShow(state, data) {
    state.spinShow = data
  },

  // 设置表单入口 外暴方法和数据
  setForm(state, data) {
    if (data) {
      Object.keys(data).map(item => {
        state.form[item] = data[item]
      })
    }
  },

  // 设置表单子form
  setForms(state, data) {
    // name: 子表单名称，即froms对象的一级key
    // ! 要存入子表单的数据必须要先在vx中定义
    if (data && data.name) {
      Object.keys(state.forms[data.name]).map(item => {
        Object.keys(data).map(item2 => {
          if (item2 !== "name" && item === item2) {
            state.forms[data.name][item2] = data[item2]
          }
        })
      })
    }
  },

  // 设置表单初始化数据
  setInitClaimInfo(state, data) {
    // 第一次初始化时，全部从初始化接口获取数据
    // 以后保存修改等，如果对象有的键则覆盖对应的值，没有的新增
    if (!state.initClaimInfo) {
      state.initClaimInfo = data
    } else {
      Object.keys(data).map(item => {
        state.initClaimInfo[item] = data[item]
      })
    }
  },

  // 设置初始化接口请求状态
  setInitClaimInfoApiStatus(state, data) {
    state.initClaimInfoStatus = data
  },

  // 更新claimLineBizTrip行数据,data.index_是行号
  setClaimLineBizTripLine(state, data) {
    Object.keys(data).map(item => {
      state.initClaimInfo.claimLineBizTrip[data.index_][item] = data[item]
    })
  },

  // 流程节点
  setSimuActs(state, val = {}) {
    state.simuActs = val;
  },

  // 表单权限类型
  setPermitType(state, val = "") {
    state.permitType = val;
  },

  // 表单权限类型
  setPermissions(state, val = {}) {
    state.permissions = val;
  },

  // 设置规则引擎数据
  setRulesEngine(state, data) {
    if (data) {
      Object.keys(data).map(item => {
        state.rulesEngine[item] = data[item]
      })
    }
  },

  // 登录用户的个人xinxi
  loginUserPersonInfo(state, val = {}) {
    state.personInfo = val;
  }

};
