export default {
  spinShow: false, // 全局Loading

  // 表单入口
  form: {
    formValidatorForSubmit: null, // 提交·校验方法
    formDataForSave: null, // 保存方法
    formDataForSubmit: null, // 提交方法
    dataFromSaveApi: null, // 保存后数据回推方法

    saveFormFunc: null, // 保存按钮-保存方法

    categoryCode: "",// 大类
    claimId: "",
    templateCode: "",

    operatorBtns: [], // 当前用户能看到的按钮

    isEditabled: false, // 是否能编辑表单

    reimburseCollectUpdate() { }, // 汇总信息更新方法

    currencyCode: "CNY", // 币种，记录用户切换后的币种
  },

  // 表单相关
  // 跨组件想要取表单里的数据只能从这里取
  forms: {
    /**
     * 表单通用存储对象
     */
    // 报账信息
    reimburseInfoForm: {
      validator: null,
      getData: null
    },
    // 报账明细
    claimLinesForm: {
      validator: null,
      getData: null
    },
    // 借款核销
    writeOffsForm: {
      validator: null,
      getData: null
    },
    // 付款计划
    paymentPlanForm: {
      validator: null,
      getData: null
    },

    /**
     * 差旅费个性部分
     */
    // 出差明细上半部分
    travelDetailForm: {
      validator: null,
      getData: null
    },
    // 出差明细下半部分明细行
    travelDetailLinesForm: {
      validator: null,
      getData: null
    },
  },

  // 表单初始化数据，初始化的数据是组件的数据来源
  // 保存接口成功后会把接口返回的数据回推到这里，保证接口和页面数据一致
  initClaimInfo: null,
  // 初始化数据获取状态：ing获取中 success成功 fail失败
  initClaimInfoStatus: "ing",

  // 流程节点数据
  simuActs: [],

  // 表单权限类型
  permitType: "",
  // 表单权限配置
  permissions: {},
  // 登录用户公司信息
  personInfo: {},
  // 规则引擎数据统一存在这里
  rulesEngine: {
    // 差旅费规则
    travelFeeTaxRateRules: []
  }
}
