export default {
  // 用户系统语言
  lang: state => {
    return (window.localStorage.getItem('lang') || 'zh-CN')
  },

  // 当前登陆用户Id
  LoginUserId: state => {
    if (state.LoginUserInfo) {
      return state.LoginUserInfo.userId
    }
  },

  // 当前登陆用户 name
  LoginUserName: state => {
    if (state.LoginUserInfo) {
      return state.LoginUserInfo.userName
    }
  },

  // 当前登陆用户ldap
  LoginUserLdapId: state => {
    if (state.LoginUserInfo) {
      return state.LoginUserInfo.userCode
    }
  },

  // 登录用户公司信息
  personInfo: state => {
    if (state.personInfo) {
      return state.personInfo;
    }
  },
}
